@charset "UTF-8";

body,
menu,
div,
dl,
dt,
dd,
ul,
ol,
li,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
code,
form,
fieldset,
input,
textarea,
p,
blockquote,
th,
td {
  margin: 0;
  padding: 0;
  font-weight: normal;
  font-size: 0.3rem;
  /* color: #333; */
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* html,
body {
  -webkit-touch-callout: none;
  background-color: rgba(255, 255, 255, 1);
  font-family: 'PingFang SC,Noto SansCJK,Microsoft Yahei,Heiti SC';

  overflow-y: auto;
  padding-bottom: constant(safe-area-inset-bottom);
  padding-bottom: env(safe-area-inset-bottom);
} */

/* 需要区分 */
@media screen {

  /* 手机端CSS代码 */
  body {
    width: 100%;

  }

  .header {
    width: 100%;
  }

  html {
    font-size: -webkit-calc(100vw / 7.5);
    font-size: -moz-calc(100vw / 7.5);
    font-size: calc(100vw / 7.5);
  }
}

@media screen and (min-width: 750px) {

  /* 电脑端CSS代码 */
  body {
    width: 750px;
    margin: 0px auto !important;
  }


  html {
    font-size: 100px;
  }
}

#app {
  width: 100%;
  height: 100vh;
  position: absolute;
  left: 0;
  top: 0;
}

.pop-container {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 1111;
}

.shadow-container {
  background: rgba(0, 0, 0, 0.6);
}

.back-btn {
  position: fixed;
  top: 5.8rem;
  right: 0;
  width: 1.88rem;

}

.btn img {
  pointer-events: none;
}

.top-wrap {
  position: relative;


}

.top-wrap .cover-img {
  width: 100%;
  display: block;
}

.top-wrap .search-bar {
  position: absolute;
  bottom: 0.32rem;
  left: 0;
  z-index: 11;
  width: 100%;
}

.pop-container {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 1111;
}

.shadow-container {
  background: rgba(0, 0, 0, 0.6);
}

.sub-container {
  width: 100%;
  height: 100%;
  /* overflow-x: hidden;
  overflow-y: scroll; */
}